Name:		hail
Version:	0.8
Release:	alt1_0.10.gf9c5b967
Summary:	Project Hail core cloud services

Group:		System/Libraries
License:	GPLv2
URL:		http://hail.wiki.kernel.org/

# pulled from upstream git, commit f9c5b967cb409cb3e38870b21292374ccea3ee6e
# to recreate tarball, check out commit, then run "make dist"
Source0:	hail-%{version}git.tar.gz

# cld, chunkd init.d and sysconfig data.  copied from pkg/* in upstream git,
# commit 554f1338e29342ba6dcfa0bce648d304afc2c1e1
Source2:	cld.service
Source3:	cld.sysconf
Source4:	chunkd.service
Source5:	chunkd.sysconf

Patch1:         hail-0.8-libdb.patch
Patch2:         hail-0.8-fixes.patch

BuildRequires:	libdb4.8-devel glib2-devel doxygen libssl-devel
BuildRequires:	texlive-latex-recommended libfuse-devel libcurl-devel
BuildRequires:	libxml2-devel procps libtokyocabinet-devel

# These are only needed because we patch configure.am, to accomodate libdb.
BuildRequires:  autoconf automake libtool
Source44: import.info

%description
Core libraries and document associated with cloud computing related
Project Hail.

%package -n cld
Summary: Coarse locking service for %{name}
Group: System/Base
Requires: %{name} = %{version}-%{release}

%description -n cld
Coarse locking daemon for cloud computing.  This software provides
a cache-coherent, highly-available distributed file system for small
files.

CLD's primary uses include consensus service (election of a master,
with fail-over, also known as lock service), reliable name space,
and reliable small file storage.

%package -n chunkd
Summary: Single-node data storage service for %{name}
Group: System/Base
Requires: %{name} = %{version}-%{release}

%description -n chunkd
Single-node data storage daemon for cloud computing.

This TCP network service is a very simple PUT/GET/DELETE data storage
service.  It is intended to be used as a low-level piece of large-scale
distributed data storage infrastructure.  The service provides
operations on stored data ("objects").

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Conflicts: cld-devel chunkd-devel

%description devel
The %%{name}-devel package contains libraries and header files for
developing applications that use %%{name}.

%package devel-doc
Summary: Documentation files for %{name}-devel
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description devel-doc
The %%{name}-doc package contains documentation for %%{name}-devel.

%prep
%setup -q -n hail-0.8git
%patch1 -p1
%patch2 -p1

%build
#sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}
rm -rf gendoc && mkdir gendoc && doxygen
( cd gendoc/latex && make )

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_unitdir}
install -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/cld

install -m 755 %{SOURCE4} %{buildroot}%{_unitdir}/

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/chunkd

mkdir -p %{buildroot}%{_libdir}/cld/lib

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
#make -s check

%files
%doc AUTHORS COPYING LICENSE README NEWS doc/contributions.txt
%{_libdir}/*.so.*

%files -n cld
%{_sbindir}/cld
%{_bindir}/cldcli
%{_mandir}/man8/cldcli.8*
%{_mandir}/man8/cld.8*
%{_libdir}/cld
%{_unitdir}/cld.service
%config(noreplace)	%{_sysconfdir}/sysconfig/cld

%files -n chunkd
%doc doc/api.txt doc/cfgfile.txt doc/chcli.cfg doc/chcli.txt
%doc doc/concept.txt doc/logging.txt
%{_sbindir}/chunkd
%{_bindir}/chcli
%{_mandir}/man8/chcli.8*
%{_mandir}/man8/chunkd.8*
%{_unitdir}/chunkd.service
%config(noreplace)	%{_sysconfdir}/sysconfig/chunkd

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files devel-doc
%doc gendoc/html gendoc/latex/refman.pdf

%changelog
* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_0.10.gf9c5b967
- initial fc import

